# MPI_Dist_graph_create

## NAME

MPI_Dist_graph_create − Makes a new communicator to which distributed graph topology information has been attached.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Dist_graph_create(MPI_Comm comm_old, int n, int sources[],

|  | int degrees[], int destinations[], int weights[],
|  | MPI_Info info[], int reorder[], MPI_Comm *comm_dist_graph[],

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_DIST_GRAPH_CREATE(COMM_OLD, N, SOURCES, DEGREES, DESTINATIONS, WEIGHTS,

|  |  |  | INFO, REORDER, COMM_DIST_GRAPH, IERROR)
|  | INTEGER |  | COMM_OLD, N, SOURCES(*), DEGREES(*), DESTINATIONS(*)
|  |  |  | WEIGHTS(*), INFO, COMM_DIST_GRAPH, IERROR
|  | LOGICAL |  | REORDER

## C++ Syntax

#include <mpi.h>
Distgraphcomm Intracomm::Dist_graph_create(int n,

| const int sources[], const int degrees[],
| const int destinations[], const int weights[], const Info& info,
| bool reorder) const

Distgraphcomm Intracomm::Dist_graph_create(int n,

| const int sources[], const int degrees[],
| const int destinations[], const Info& info, bool reorder) const

## INPUT PARAMETERS

| comm_old |  | Input communicator (handle).
| n |  | Number of source nodes for which edges are specified (integer).
| sources |  | Array of integers specifying the n source nodes.
| degrees |  | Array of integers specifying the number of destinations for each source node.
| destinations |  | Array of integers specifying the destinations for each source node.
| weights |  | Array of integers specifying the weight of each edge.
| info |  | Hints for interpreting and optimizing weights (handle).
| reorder |  | Ranking may be reordered (true) or not (false) (logical).

## OUTPUT PARAMETERS

| comm_dist_graph |  | Communicator with distributed graph topology added (handle). |
| IERROR |  | Fortran only: Error status (integer). |

## FOR MORE INFORMATION

For more information, see page 254 of the MPI 2.2 standard.

MPI API Index